Bug 1200885 - Review Request: airline - Java annotation-based framework
Summary: Review Request: airline - Java annotation-based framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gerard Ryan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1200902
TreeView+ depends on / blocked
 
Reported: 2015-03-11 15:07 UTC by gil cattaneo
Modified: 2015-03-31 21:54 UTC (History)
2 users (show)

Fixed In Version: airline-0.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 21:54:49 UTC
Type: ---
gerard: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-03-11 15:07:48 UTC
Spec URL: https://gil.fedorapeople.org/airline.spec
SRPM URL: https://gil.fedorapeople.org/airline-0.7-1.fc20.src.rpm
Description:
Airline is a Java annotation-based framework
for parsing Git like command line structures.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9204748

Comment 1 Gerard Ryan 2015-03-21 19:39:59 UTC
Approved. Please enable tests as detailed below before importing. Thanks for packaging! :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: %check is present and all tests pass.
Tests are currently disabled with a note about missing settings from
parent POM, which is not packaged. I've managed to get them to work by
adding the following to %prep, so please enable them before importing:

%pom_xpath_inject "pom:dependency[pom:artifactId='testng']" '<version>4.7</version>'

^The problem is that there's no version set, so maven sees the version
as SYSTEM, and that fails a check for version 4.7+. Since we ignore
the version most of the time anyway, we can set it to anything from
4.7 or later to get this to work (Rawhide has 6.8.21).

There are other settings in the parent POM for surefire plugin, but
they don't seem to matter too much, all tests passed for me in mock.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 37 files have unknown license.
     Detailed output of licensecheck in
     /home/grdryn/1200885-airline/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Java:
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in airline-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: airline-0.7-1.fc23.noarch.rpm
          airline-javadoc-0.7-1.fc23.noarch.rpm
          airline-0.7-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
airline-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

airline (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.code.findbugs:annotations)
    mvn(com.google.code.findbugs:jsr305)
    mvn(com.google.guava:guava)
    mvn(javax.inject:javax.inject)



Provides
--------
airline-javadoc:
    airline-javadoc

airline:
    airline
    mvn(io.airlift:airline)
    mvn(io.airlift:airline:pom:)



Source checksums
----------------
https://github.com/airlift/airline/archive/0.7.tar.gz :
  CHECKSUM(SHA256) this package     : ec4b4fde23c91707aaa4487f0a091accdc1181e0795042d44e379f8b553bc063
  CHECKSUM(SHA256) upstream package : ec4b4fde23c91707aaa4487f0a091accdc1181e0795042d44e379f8b553bc063


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1200885
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 gil cattaneo 2015-03-21 21:17:43 UTC
(In reply to Gerard Ryan from comment #1)
> Approved. Please enable tests as detailed below before importing. Thanks for
> packaging! :)
> 
> 
> Issues:
> =======
> [!]: %check is present and all tests pass.
> Tests are currently disabled with a note about missing settings from
> parent POM, which is not packaged. I've managed to get them to work by
> adding the following to %prep, so please enable them before importing:
> 
> %pom_xpath_inject "pom:dependency[pom:artifactId='testng']"
> '<version>4.7</version>'
Done
> ^The problem is that there's no version set, so maven sees the version
> as SYSTEM, and that fails a check for version 4.7+. Since we ignore
> the version most of the time anyway, we can set it to anything from
> 4.7 or later to get this to work (Rawhide has 6.8.21).
Inserted 6.8.7 (use guava 18.0)
> There are other settings in the parent POM for surefire plugin, but
> they don't seem to matter too much, all tests passed for me in mock.

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9292637

Thanks!

Spec URL: https://gil.fedorapeople.org/airline.spec
SRPM URL: https://gil.fedorapeople.org/airline-0.7-1.fc20.src.rpm

Comment 3 gil cattaneo 2015-03-21 21:19:26 UTC
New Package SCM Request
=======================
Package Name: airline
Short Description: Java annotation-based framework
Upstream URL: https://github.com/airlift/airline
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 4 Gwyn Ciesla 2015-03-23 13:23:04 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-03-23 13:56:22 UTC
airline-0.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/airline-0.7-1.fc22

Comment 6 Fedora Update System 2015-03-26 21:48:35 UTC
airline-0.7-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 7 Fedora Update System 2015-03-31 21:54:49 UTC
airline-0.7-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.